Pull up following revision(s) (requested by martti in ticket #708): netbsd-4
authorliamjfoy <liamjfoy@NetBSD.org>
Wed, 06 Jun 2007 14:58:14 +0000
branchnetbsd-4
changeset 261401 3afaa45e3ead
parent 261400 ad1fd0593bf2
child 261402 1c02404cb794
Pull up following revision(s) (requested by martti in ticket #708): etc/monthly: revision 1.11 etc/weekly: revision 1.23 etc/security: revision 1.102 etc/daily: revision 1.70 Use "mktemp -d -t xxx" to create the temporary directories. This will use TMPDIR environment variable if set, otherwise use /tmp. (misc/35544)
etc/daily
etc/monthly
etc/security
etc/weekly
--- a/etc/daily	Tue Jun 05 20:54:48 2007 +0000
+++ b/etc/daily	Wed Jun 06 14:58:14 2007 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh -
 #
-#	$NetBSD: daily,v 1.68.2.1 2006/12/30 05:28:18 riz Exp $
+#	$NetBSD: daily,v 1.68.2.2 2007/06/06 14:58:15 liamjfoy Exp $
 #	@(#)daily	8.2 (Berkeley) 1/25/94
 #
 
@@ -66,7 +66,7 @@
 #	find . ! -name . -mtime +7 -exec rm -f -- {} \; ; }
 #fi
 
-DAILYDIR=`mktemp -d /tmp/_daily.XXXXXX` || exit 1
+DAILYDIR=$(mktemp -d -t _daily) || exit 1
 
 trap "/bin/rm -rf $DAILYDIR ; exit 0" EXIT INT QUIT
 
--- a/etc/monthly	Tue Jun 05 20:54:48 2007 +0000
+++ b/etc/monthly	Wed Jun 06 14:58:14 2007 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh -
 #
-#	$NetBSD: monthly,v 1.10 2004/04/09 17:35:21 kim Exp $
+#	$NetBSD: monthly,v 1.10.10.1 2007/06/06 14:58:14 liamjfoy Exp $
 #	from: @(#)monthly	8.1 (Berkeley) 6/9/93
 #
 
@@ -19,7 +19,7 @@
 echo "Subject: $host monthly output for $date"
 echo ""
 
-MONTHLYDIR=`mktemp -d /tmp/_monthly.XXXXXX` || exit 1
+MONTHLYDIR=$(mktemp -d -t _monthly) || exit 1
 
 trap "/bin/rm -rf $MONTHLYDIR ; exit 0" EXIT INT QUIT PIPE
 
--- a/etc/security	Tue Jun 05 20:54:48 2007 +0000
+++ b/etc/security	Wed Jun 06 14:58:14 2007 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh -
 #
-#	$NetBSD: security,v 1.100.2.1 2007/05/08 09:53:46 pavel Exp $
+#	$NetBSD: security,v 1.100.2.2 2007/06/06 14:58:14 liamjfoy Exp $
 #	from: @(#)security	8.1 (Berkeley) 6/9/93
 #
 
@@ -40,7 +40,7 @@
 	mkdir -p "$work_dir"
 fi
 
-SECUREDIR=`mktemp -d /tmp/_securedir.XXXXXX` || exit 1
+SECUREDIR=$(mktemp -d -t _securedir) || exit 1
 
 trap "/bin/rm -rf $SECUREDIR ; exit 0" EXIT INT QUIT PIPE
 
--- a/etc/weekly	Tue Jun 05 20:54:48 2007 +0000
+++ b/etc/weekly	Wed Jun 06 14:58:14 2007 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh -
 #
-#	$NetBSD: weekly,v 1.21.2.1 2007/02/19 20:00:14 riz Exp $
+#	$NetBSD: weekly,v 1.21.2.2 2007/06/06 14:58:14 liamjfoy Exp $
 #	from: @(#)weekly	8.2 (Berkeley) 1/2/94
 #
 
@@ -26,7 +26,7 @@
 	exit 1;
 fi
 
-WEEKLYDIR=`mktemp -d /tmp/_weekly.XXXXXX` || exit 1
+WEEKLYDIR=$(mktemp -d -t _weekly) || exit 1
 
 trap "/bin/rm -rf $WEEKLYDIR ; exit 0" EXIT INT QUIT PIPE
 
@@ -50,7 +50,7 @@
 #	echo ""
 #	echo "Looking for checked out files:"
 #
-#	TDIR=`mktemp -d /tmp/_checkout.XXXXXX` || exit 1
+#	TDIR=$(mktemp -d -t _checkout) || exit 1
 #	trap "/bin/rm -rf $TDIR ; exit 0" EXIT INT QUIT
 #	for file in `find -f /usr/src ! -fstype local -prune -or \
 #	    -name 'p.*' -print | egrep 'SCCS/p\.'`; do